package com.ruoyi.tcZz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 词云对象 tc_cy
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public class TcCy extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 词云名称 */
    @Excel(name = "词云名称")
    private String cyName;

    /** 词云数量 */
    @Excel(name = "词云数量")
    private Long cyCount;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCyName(String cyName) 
    {
        this.cyName = cyName;
    }

    public String getCyName() 
    {
        return cyName;
    }
    public void setCyCount(Long cyCount) 
    {
        this.cyCount = cyCount;
    }

    public Long getCyCount() 
    {
        return cyCount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cyName", getCyName())
            .append("cyCount", getCyCount())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
